// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      Mono Runtime Version: 2.0.50727.42
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.AddinAuthoring {
    
    
    public partial class RegistrySelector {
        
        private Gtk.Button buttonBrowse;
        
        private Gtk.HBox hbox2;
        
        private Gtk.Label label;
        
        private Gtk.VSeparator vseparator1;
        
        private Gtk.Image image131;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.AddinAuthoring.RegistrySelector
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.AddinAuthoring.RegistrySelector";
            // Container child MonoDevelop.AddinAuthoring.RegistrySelector.Gtk.Container+ContainerChild
            this.buttonBrowse = new Gtk.Button();
            this.buttonBrowse.CanFocus = true;
            this.buttonBrowse.Name = "buttonBrowse";
            // Container child buttonBrowse.Gtk.Container+ContainerChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 6;
            // Container child hbox2.Gtk.Box+BoxChild
            this.label = new Gtk.Label();
            this.label.Name = "label";
            this.label.Xalign = 0F;
            this.label.LabelProp = "";
            this.label.Ellipsize = ((Pango.EllipsizeMode)(3));
            this.hbox2.Add(this.label);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.hbox2[this.label]));
            w1.Position = 0;
            // Container child hbox2.Gtk.Box+BoxChild
            this.vseparator1 = new Gtk.VSeparator();
            this.vseparator1.Name = "vseparator1";
            this.hbox2.Add(this.vseparator1);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox2[this.vseparator1]));
            w2.Position = 1;
            w2.Expand = false;
            w2.Fill = false;
            // Container child hbox2.Gtk.Box+BoxChild
            this.image131 = new Gtk.Image();
            this.image131.Name = "image131";
            this.image131.Pixbuf = Stetic.IconLoader.LoadIcon(this, "gtk-open", Gtk.IconSize.Menu, 16);
            this.hbox2.Add(this.image131);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.hbox2[this.image131]));
            w3.Position = 2;
            w3.Expand = false;
            w3.Fill = false;
            this.buttonBrowse.Add(this.hbox2);
            this.buttonBrowse.Label = null;
            this.Add(this.buttonBrowse);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
            this.buttonBrowse.Clicked += new System.EventHandler(this.OnButtonBrowseClicked);
        }
    }
}
